macOs mongo err 返回首页

发表于 2018-08-27 | 本文共 38 字

macOS使用homebrew更新MongoDB到4.0后启动MongoDB会有一个报错

The data files need to be fully upgraded to version 3.6 before attempting an upgrade to 4.0; see http://dochub.mongodb.org/core/4.0-upgrade-fcv for more details

解决方案一:

打开终端,进入到data/db目录,使用命令rm -rf *(每当使用该命令时请谨慎小心,不可逆,不可逆,不可逆,重要的事情说三遍),删除db目录下的所有文件,然后重亲启动MongoDB。

解决方案二:

重新下载一个3.6的MongoDB,降级!!!:smile:


显示评论